@ECHO off
REM extract drive, path & filename, line number, column number from the textdit command
REM input is:"textedit://drive:/path/.../filename.ly:linenumber:columnnumber:?"
SETLOCAL enabledelayedexpansion
SET input=%1
FOR /F "TOKENS=2 DELIMS=/:"	%%x IN ("%1") DO SET _drive=%%x
FOR /F "TOKENS=3 DELIMS=:"	%%v IN ("%1") DO SET _path=%%v
FOR /F "TOKENS=4 DELIMS=:"	%%v IN ("%1") DO SET _lineNumber=%%v
FOR /F "TOKENS=5 DELIMS=:"	%%v IN ("%1") DO SET _columnNumber=%%v
REM re-build the file & replace "%20" with blank
SET _file="%_drive%:%_path%"
SET _blank=%%20
SET _file=!_file:%_blank%= !
REM the file does not exist
IF NOT EXIST %_file% ( 
	SET message=%_file% does not exist !!!
	SET color=c7 
	CALL :_echo
	GOTO :eof
	)
REM display the file with your favorite editor (uncomment the one you like or add others):
REM IF EXIST %_file% ( 
		REM "lilypad.exe"                          +%_lineNumber%:%_columnNumber% %_file%
		REM "lilypad-ascii.exe"                    +%_lineNumber%:%_columnNumber% %_file%
		REM	 "lilypad-unicode.exe"                  +%_lineNumber%:%_columnNumber% %_file%	
REM	)
REM For LilyPondTool
SET _tempScript=%TEMP%\lilyToolTemp.bsh
ECHO void runPointAndClick(line, column)	> %_tempScript%
ECHO {	 void run() {						>> %_tempScript%					
ECHO 	int caret = (textArea.getLineEndOffset (line - 2) + column);>> %_tempScript%
ECHO	history = new BufferHistory ();	>> %_tempScript%
ECHO 	history.setEntry (buffer.getPath(), caret, null , "", "");>> %_tempScript%
ECHO 	history.save();						>> %_tempScript%
ECHO 	textArea.setCaretPosition (caret);>> %_tempScript%
ECHO 	view.goToBuffer(buffer); }			>> %_tempScript%
ECHO if(jEdit.getLastView() == null) VFSManager.runInAWTThread(this);>> %_tempScript%
ECHO     else run(); }						>> %_tempScript%
ECHO runPointAndClick (%_lineNumber% , %_columnNumber%) ;	 >> %_tempScript%
START "" "jedit.jar" -reuseview -run=%_tempScript% -- %_file%

GOTO :eof
:_echo 	REM display results and message
	COLOR %color%
	ECHO.&ECHO input from textedit is:
	IF "%input%" == "" SET input="No input specified !"
	ECHO %input% & ECHO.
	ECHO drive         : %_drive%
	ECHO path + file   : %_path%
	ECHO line  number  : %_lineNumber%
	ECHO column number : %_columnNumber%
	ECHO full file name: %_file%
	ECHO.
	IF EXIST %message% DO (
		ECHO [%message%] &ECHO.
		ECHO Possible reasons for wrong filenames:
		ECHO  - special characters in the name ?! 
		ECHO  - the file has been deleted or renamed
		ECHO.
		)
	PAUSE 
GOTO :eof
